
#ifndef _FTD_GUI_POST_H_
#define _FTD_GUI_POST_H_

#include "ftd_gui_main.h"

struct _ftd_gui_post {
    // Main view
    GtkWidget   *window;
    GtkWidget   *tabs;
    // First tab
    GtkWidget   *tab1;
    GtkWidget   *entryTitel;
    GtkWidget   *entryURL;
    GtkWidget   *entryPlaatje;
    GtkWidget   *comboboxCat;
    GtkWidget   *comboboxSCat;
    GtkWidget   *entryTag;
    GtkWidget   *hboxTags;
    GtkWidget   *labelSubcategorieTag;
    FtdList     *listCheckbuttonTags;
    GtkWidget   *buttonTestAfbeelding;
    GtkWidget   *buttonVerder1;
    GtkWidget   *buttonImport;
    // Second tab
    GtkWidget   *tab2;
    GtkWidget   *labelBestandsnaam;
    GtkWidget   *entryBestandsnaam;
    GtkWidget   *labelAantalBestanden;
    GtkWidget   *labelStartBestanden;
    GtkWidget   *comboboxBestandstype;
    GtkWidget   *spinbuttonAantalBestanden;
    GtkWidget   *spinbuttonStartBestanden;
    GtkWidget   *labelBestandsinfoPreview;
    GtkWidget   *radioGeenPar;
    GtkWidget   *radioPar2;
    GtkWidget   *checkbuttonPARBlocksBijGereed;
    GtkWidget   *labelAantalParBlocks;
    GtkWidget   *spinbuttonAantalParBlocks;
    GtkWidget   *labelBlocksize;
    GtkWidget   *spinbuttonBlocksize;
    GtkWidget   *buttonVerder2;
    // Third tab
    GtkWidget   *tab3;
    GtkWidget   *entryM3UPlaylist;
    GtkWidget   *buttonOpenM3UPlayList;
    GtkWidget   *buttonClearM3UPlayList;
    GtkWidget   *treeviewM3UPlaylist;
    GtkWidget   *buttonVerder3;
    // Fourth tab
    GtkWidget   *tab4;
    GtkWidget   *radioPostSpot;
    GtkWidget   *radioPostAankondiging;
    GtkWidget   *radioPostBezigUploaden;
    GtkWidget   *textviewAankondiging;
    GtkWidget   *textviewOmschrijving;
    GtkWidget   *buttonVerder4;
    // Fifth tab
    GtkWidget   *tab5;
    GtkWidget   *textviewRepostbeleid;
    GtkWidget   *treeviewNieuwsgroepen;
    GtkWidget   *progressbarVerzenden;
    GtkWidget   *buttonVersturen;
    GtkWidget   *buttonExport;

    FtdList	*mp3files;
    GtkListStore *liststoreM3UPlaylist;
    GtkListStore *liststoreNieuwsgroepen;
};

void ftd_gui_post_new(void);

#endif /* _FTD_GUI_POST_H_ */
